| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# sect1

$Revision: 1.3 $

$Date: 2002/06/12 11:18:34 $

sect1 — A top-level section of document

## Synopsis

### Content Model

    sect1 ::=
    (sect1info?,
     (title,subtitle?,titleabbrev?),
     (toc|lot|index|glossary|bibliography)*,
     (((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
        simplelist|variablelist|caution|important|note|tip|warning|
        literallayout|programlisting|programlistingco|screen|screenco|
        screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
        fieldsynopsis|constructorsynopsis|destructorsynopsis|
        methodsynopsis|formalpara|para|simpara|address|blockquote|
        graphic|graphicco|mediaobject|mediaobjectco|informalequation|
        informalexample|informalfigure|informaltable|equation|example|
        figure|table|msgset|procedure|sidebar|qandaset|productionset|
        constraintdef|anchor|bridgehead|remark|highlights|abstract|
        authorblurb|epigraph|indexterm|beginpage)+,
       ((refentry)*|
        sect2*|simplesect*))|
      (refentry)+|
      sect2+|simplesect+),
     (toc|lot|index|glossary|bibliography)*)

### Attributes

Common attributes

Name | Type | Default
renderas |
Enumeration:
sect2
sect3
sect4
sect5
| None
status | CDATA | None
label | CDATA | None

## Description

`Sect1` is one of the top-level sectioning elements in a component. There are three types of sectioning elements in DocBook:

- Explicitly numbered sections, `Sect1`…`Sect5`, which must be properly nested and can only be five levels deep.

- Recursive `Section`s, which are alternative to the numbered sections and have unbounded depth.

- `SimpleSect`s, which are terminal. `SimpleSect`s can occur as the “leaf” sections in either recursive sections or any of the numbered sections, or directly in components.

None of the sectioning elements is allowed to “float” in a component. You can place paragraphs and other block elements before a section, but you cannot place anything after it.

This means that you cannot have content in the `Sect1` after the end of a `Sect2`. This is consistent with the DocBook book model, because in a printed book it is usually impossible for a reader to detect the end of the enclosed second level section and, therefore, all content after a second level section appears in that section.

### Processing Expectations

Formatted as a displayed block. Sometimes sections are numbered.

### Future Changes

In DocBook V4.0, the `ToC` element in the content model will be replaced by `TocChap`.

### Parents

These elements contain sect1: `appendix`, `article`, `chapter`, `partintro`, `preface`.

### Children

The following elements occur in sect1: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `bibliography`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glossary`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `index`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `lot`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `refentry`, `remark`, `screen`, `screenco`, `screenshot`, `sect1info`, `sect2`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `simplesect`, `subtitle`, `synopsis`, `table`, `tip`, `title`, `titleabbrev`, `toc`, `variablelist`, `warning`.

## Attributes

label

  `Label` specifies an identifying string for presentation purposes.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

renderas

  The `RenderAs` attribute identifies how the section should be rendered. In this way, a section at one level of the structural hierarchy can be made to appear to be at another level.

status

  `Status` identifies the editorial or publication status of the `Sect1`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`bridgehead`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `simplesect`.

## Examples

For examples, see `chapter`, `indexterm`, `link`, `olink`, `sect1info`, `sidebar`, `simplesect`, `title`.

secondaryie |  | sect1info

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.